LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;
USE ieee.std_logic_unsigned.all;

ENTITY PWM IS
	PORT
	(
		R_DATA	: IN	STD_LOGIC_VECTOR(6 downto 0);
		L_DATA	: IN	STD_LOGIC_VECTOR(6 downto 0);
		COUNT	: IN	STD_LOGIC_VECTOR(6 downto 0);
		Tout_R	: OUT 	STD_LOGIC;
		Tout_L	: OUT 	STD_LOGIC);
END PWM;

ARCHITECTURE RTL OF PWM IS
BEGIN
	PROCESS (COUNT)
	BEGIN
		if (COUNT<L_DATA) then
			Tout_L <= '0';
		else
			Tout_L <= '1';
		end if;
		if (COUNT<R_DATA) then
			Tout_R <= '0';
		else
			Tout_R <= '1';
		end if;
	END PROCESS;
END RTL;

