-- IRS DATA MODULE	Produced by Simamu
--					Ver1.0	2000.09.07
--					Ver2.0	2000.10.19
--					Ver3.0	2001.01.16

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

ENTITY IRS_M IS
	PORT
	(
		IRS		: IN	STD_LOGIC;
		CLK		: IN	STD_LOGIC;
		B_RESET : IN	STD_LOGIC;
		IRSD	: OUT 	STD_LOGIC
	);
END IRS_M;

ARCHITECTURE RTL OF IRS_M IS
	SIGNAL	IRSD_DUM	: STD_LOGIC;
BEGIN
	PROCESS (CLK,B_RESET)
	BEGIN
	IF (B_RESET /= '0')
	THEN	IRSD_DUM <= '0';
	ELSE	IF (CLK'EVENT AND CLK = '1')
			THEN	IRSD_DUM <= IRS;
					IRSD <= NOT (IRSD_DUM AND IRS);
			END IF;
	END IF;
	END PROCESS;
END RTL;

