LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY PWM_CONVERT IS
	PORT(
		R_Duty : IN 	STD_LOGIC;
		L_Duty : IN 	STD_LOGIC;
		R_DIR  : IN		STD_LOGIC;
		L_DIR  : IN 	STD_LOGIC;
		R_OUT  : OUT 	STD_LOGIC;
		L_OUT  : OUT 	STD_LOGIC;
		R_REV  : OUT 	STD_LOGIC;
		L_REV  : OUT 	STD_LOGIC
	);
END PWM_CONVERT;

ARCHITECTURE RTL OF PWM_CONVERT IS
BEGIN
	PROCESS(R_Duty,L_Duty,R_DIR,L_DIR)
	BEGIN
		if(R_DIR='0') then
			R_OUT <= R_Duty;
			R_REV <= '0';
		else
			R_OUT <= '0';
			R_REV <= R_Duty;
		end if;
		if(L_DIR='0') then
			L_OUT <= L_Duty;
			L_REV <= '0';
		else
			L_OUT <= '0';
			L_REV <= L_Duty;
		end if;
	END PROCESS;
END RTL;

			

